package cn.quantgroup.customer.rest.param.vcc;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Objects;

@Data
public class ApplyBill {
    private Long billId;
    private BigDecimal amount;

    @Override
    public boolean equals(Object o){
        if (o == null){
            return false;
        }
        if (o instanceof ApplyBill){
            ApplyBill applyBill = (ApplyBill) o;
            return Objects.equals(applyBill.billId, this.billId);
        }
        return super.equals(o);
    }
}
